PaidGoods
API referenceDevelopers

Outgoing webhook deliveries with request and response

GET
/v1/stores/{storeId}/webhook-logs

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Query Parameters

page?integer
Range1 <= value <= 9007199254740991
Default1
perPage?integer
Range1 <= value <= 100
Default20
state?string

Value in

  • "pending"
  • "delivered"
  • "failed"
event?string
Lengthlength <= 80

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/stores/string/webhook-logs"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "event": "string",      "state": "pending",      "endpointId": "c8d2c7e1-e4b1-4108-9e29-3429a36a1ef3",      "endpointName": "string",      "endpointKind": "http",      "url": "string",      "attempts": -9007199254740991,      "lastStatus": -9007199254740991,      "requestBody": "string",      "responseBody": "string",      "createdAt": "string",      "deliveredAt": "string",      "nextAttemptAt": "string"    }  ],  "pagination": {    "page": -9007199254740991,    "perPage": -9007199254740991,    "total": -9007199254740991  }}